Package: groovy.util.slurpersupport

## [Java] Class ReplacementNode

- groovy.util.slurpersupport.ReplacementNode

- All Implemented Interfaces and Traits:
    Buildable, Writable

      public abstract class ReplacementNode
      extends Object

  Helper base class used for lazy updates.

  Authors:
    John Wilson

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `build(GroovyObject builder, Map namespaceMap, Map<String, String> namespaceTagHints)`
    `` | `void` | `build(GroovyObject builder)`
    `` | `Writer` | `writeTo(Writer out)` NOP

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public void build(GroovyObject builder, Map namespaceMap, Map<String, String> namespaceTagHints)

    - #### public void build(GroovyObject builder)

    - #### public Writer writeTo(Writer out)

      NOP

      Returns:
        the Writer that was passed